import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyMonthlyComponent implements OnInit {
    private frequencyService;
    mode: any;
    monthlyInterval: string;
    monthlyInput: number;
    monthlyFailed: number;
    monthlyWindow: number;
    monthlyLifeCycleStart: Date;
    monthlyLifeCycleEndTime: Date;
    monthlyLifecycleOccurance: number;
    monthlySeletedLifecycleType: number;
    selectedMonthly: number[];
    monthlyDeactivatedValue: number;
    frequencyInfo: any;
    monthNameArray: Array<string>;
    shortMonth: Array<string>;
    lifecycleDetails: any;
    pageType: 'responsibility' | 'policy';
    startDate: number;
    frequencyData: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    valueChangedFirst(event: any): void;
    onTimeChanged(event: string): void;
    onMonthSelected(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    getMonthlyFrequency(): void;
    getFrequencyPlaceholder(monthlyInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyMonthlyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyMonthlyComponent, "app-frequency-monthly", never, { "mode": { "alias": "mode"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
